TreeExpansionEvent (Java Platform SE 8 )
Keywords: javax.swing.event.TreeExpansionEvent class
Date: 2026-07-22

javax.swing.event

## Class TreeExpansionEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.TreeExpansionEvent

- All Implemented Interfaces:
    Serializable

      public class TreeExpansionEvent
      extends EventObject

  An event used to identify a single path in a tree. The source returned by getSource will be an instance of JTree.

  For further documentation and examples see the following sections in The Java Tutorial: How to Write a Tree Expansion Listener and How to Write a Tree-Will-Expand Listener.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TreePath` | `path` Path to the value this event represents.

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeExpansionEvent(Object source, TreePath path)` Constructs a TreeExpansionEvent object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TreePath` | `getPath()` Returns the path to the value that has been expanded/collapsed.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### path

          protected TreePath path

      Path to the value this event represents.

  - ### Constructor Detail

    - #### TreeExpansionEvent

          public TreeExpansionEvent(Object source,
                                    TreePath path)

      Constructs a TreeExpansionEvent object.
      Parameters:
        `source` - the Object that originated the event (typically `this`)
        `path` - a TreePath object identifying the newly expanded node

  - ### Method Detail

    - #### getPath

          public TreePath getPath()

      Returns the path to the value that has been expanded/collapsed.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.